package com.ruoyi.ibs.grid.domain.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 网格客户管户对象 sys_grid_user_cust
 *
 * @author ruoyi
 * @date 2024-11-11
 */
public class SysGridUserCust extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 机构id(支行id) */
    @Excel(name = "机构id(支行id)")
    private String deptBranchId;

    /** 机构id(网点id) */
    @Excel(name = "机构id(网点id)")
    private String deptOutletId;

    /** 客户类型 0-企业；1-商户 ; 2-个人 */
    @Excel(name = "客户类型 0-企业；1-商户 ; 2-个人")
    private String custType;

    /** 客户号 */
    @Excel(name = "客户号")
    private String custId;

    /** 客户名 */
    @Excel(name = "客户名")
    private String custName;

    /** 归属地区编码 */
    @Excel(name = "归属地区编码")
    private String regionCode;

    /** 网格类型 XZ|TS|XN */
    @Excel(name = "网格类型 XZ|TS|XN")
    private String gridType;

    /** 归属网格id */
    @Excel(name = "归属网格id")
    private Long gridId;

    /** 归属父级网格id */
    @Excel(name = "归属父级网格id")
    private Long parentGridId;

    /** 柜员号id */
    @Excel(name = "柜员号id")
    private String userName;

    /** 关联状态 0-已分配|1 -支行解除分配|2-总行解除分配 */
    @Excel(name = "关联状态 0-已分配|1 -支行解除分配|2-总行解除分配")
    private String relationStatus;

    /** 更新机构 */
    @Excel(name = "更新机构")
    private String updateDept;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDeptBranchId(String deptBranchId)
    {
        this.deptBranchId = deptBranchId;
    }

    public String getDeptBranchId()
    {
        return deptBranchId;
    }
    public void setDeptOutletId(String deptOutletId)
    {
        this.deptOutletId = deptOutletId;
    }

    public String getDeptOutletId()
    {
        return deptOutletId;
    }
    public void setCustType(String custType)
    {
        this.custType = custType;
    }

    public String getCustType()
    {
        return custType;
    }
    public void setCustId(String custId)
    {
        this.custId = custId;
    }

    public String getCustId()
    {
        return custId;
    }
    public void setCustName(String custName)
    {
        this.custName = custName;
    }

    public String getCustName()
    {
        return custName;
    }
    public void setRegionCode(String regionCode)
    {
        this.regionCode = regionCode;
    }

    public String getRegionCode()
    {
        return regionCode;
    }
    public void setGridType(String gridType)
    {
        this.gridType = gridType;
    }

    public String getGridType()
    {
        return gridType;
    }
    public void setGridId(Long gridId)
    {
        this.gridId = gridId;
    }

    public Long getGridId()
    {
        return gridId;
    }
    public void setParentGridId(Long parentGridId)
    {
        this.parentGridId = parentGridId;
    }

    public Long getParentGridId()
    {
        return parentGridId;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }
    public void setRelationStatus(String relationStatus)
    {
        this.relationStatus = relationStatus;
    }

    public String getRelationStatus()
    {
        return relationStatus;
    }
    public void setUpdateDept(String updateDept)
    {
        this.updateDept = updateDept;
    }

    public String getUpdateDept()
    {
        return updateDept;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("deptBranchId", getDeptBranchId())
                .append("deptOutletId", getDeptOutletId())
                .append("custType", getCustType())
                .append("custId", getCustId())
                .append("custName", getCustName())
                .append("regionCode", getRegionCode())
                .append("gridType", getGridType())
                .append("gridId", getGridId())
                .append("parentGridId", getParentGridId())
                .append("userName", getUserName())
                .append("relationStatus", getRelationStatus())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("updateDept", getUpdateDept())
                .toString();
    }
}
